| Home | Libraries | People | FAQ | More

## Struct template depends_on

boost::accumulators::depends_on

## Synopsis

    // In header: <boost/accumulators/framework/depends_on.hpp>

    template<typename Feature1, typename Feature2, ... >
    struct depends_on {
      // types
      typedef mpl::false_                                                                         is_weight_accumulator;
      typedef mpl::transform< mpl::vector< Feature1, Feature2,...>, as_feature< mpl::_1 > >::type dependencies;
    };

## Description

depends_on